Name:		dikt
Version:	2.0
Release:	%mkrel 3
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://kde-apps.org/content/show.php/Dikt?content=113312
Source:		%{name}-%{version}.tar.xz
Summary:	 Dikt is an online dictonary.
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt4-devel
BuildRequires:  kdelibs4-devel
Requires:   	glibc >= 2.10.1
Requires:  	libstdc++6 >= 4.4.1


%description
Dikt is a dictionary that implements the client side
of Dict protocol. Dikt is a network application, it
looks up words on dict servers. You don't need to
install any dictionaries, you only need a connection
to Internet.

%prep

%setup -q -n %{name}-%{version}

%build

cmake . -DCMAKE_INSTALL_PREFIX=/usr

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

desktop-file-install --vendor="" \
    --remove-category="Application"\
    --add-category="X-MandrivaLinux-Office-Accessories" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%_bindir/dikt
%_datadir/applications/kde4/dikt.desktop
%_datadir/apps/dikt/dikt.css
%_datadir/apps/dikt/diktui.rc
%_datadir/apps/dikt/format.conf
%_datadir/icons/hicolor/128x128/apps/dikt.png
%_datadir/kde4/services/dict.protocol


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2.0-2pclos2010
- rebuild for 4.5.1

* Sat Jun 05 2010 Texstar <texstar at gmail.com> 2.0-1pclos2010
- initial package


